#ifndef __MAIN_H__
#define __MAIN_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>
#include <linux/types.h>
#include <linux/videodev.h>
#include <sys/mman.h>
#include <sys/ioctl.h>


#include "print_xxx.h"	/* for log */

#define VIDEO_PALETTE_JPEG 21	/* for jpeg img with header */
#define JPEG_FORMAT_DEPTH 8	/* jpeg palette depth */


struct zc3xx_cam { 
	int cfd; 	/* zc3xx webcam device file descriptor */
	int width;
	int height;
	int format;
	int max_img_num;
	int overwrite;	/* 0:disable 1:enable */
	unsigned int img_len;
	unsigned char* img_buf;
	unsigned char* devpath;
	unsigned char* filename;
	struct video_mmap vmmap;
	struct video_capability videocap;
	struct video_mbuf videombuf;
	struct video_picture videopict;
	struct video_window videowin;
	struct video_channel videochan;
};

#endif
